.instagram-feed {
    width: 100%;
    display: flex;
    justify-content: center;
}

.insta-image-grid {
    display: grid;
    grid-template-columns: repeat(8, 1fr); /* Default to 4 columns */
    gap: 0px;
    max-width: 100%;
    width: 100%;
}

.insta-image-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.insta-image-container {
    position: relative;
    width: 100%; /* Set width for your image */
    height: 100%; /* Set height for your image */
    overflow: hidden;
}

.insta-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black */
    opacity: 0; /* Start hidden */
    display: flex;
	flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: opacity 0.3s ease; /* Smooth transition for overlay */
}

.insta-image-container:hover .insta-overlay {
    opacity: 1; /* Show overlay when hovering */
}


/* Media query for mobile devices (up to 768px) */
@media screen and (max-width: 768px) {
    .insta-image-grid {
        grid-template-columns: repeat(2, 1fr); /* Show 2 columns on smaller screens */
    }
}

/* Media query for very small screens (up to 480px) */
@media screen and (max-width: 480px) {
    .insta-image-grid {
        grid-template-columns: repeat(1, 1fr); /* Show 1 column on very small screens */
    }
}

@media screen and (max-width: 768px) {
.insta-image-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* Default to 4 columns */
    gap: 0px;
    max-width: 100%;
    width: 100%;
}
}